MongoDB\Driver\ReadPreference::__construct
MongoDB\Driver\ReadPreference::getTagSets
MongoDB\Driver\ReadPreference
PHP Manual

# MongoDB\Driver\ReadPreference::getMode

(mongodb >=1.0.0)

MongoDB\Driver\ReadPreference::getMode — Returns the ReadPreference's "mode" option

### Description

final public integer MongoDB\Driver\ReadPreference::getMode ( void )

### Parameters

This function has no parameters.

### Return Values

Returns the ReadPreference's "mode" option.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### Examples

Example #1 MongoDB\Driver\ReadPreference::getMode() example

`<?php
$rp = new MongoDB\Driver\ReadPreference(MongoDB\Driver\ReadPreference::RP_PRIMARY);
var_dump($rp->getMode());
$rp = new MongoDB\Driver\ReadPreference(MongoDB\Driver\ReadPreference::RP_PRIMARY_PREFERRED);
var_dump($rp->getMode());
$rp = new MongoDB\Driver\ReadPreference(MongoDB\Driver\ReadPreference::RP_SECONDARY);
var_dump($rp->getMode());
$rp = new MongoDB\Driver\ReadPreference(MongoDB\Driver\ReadPreference::RP_SECONDARY_PREFERRED);
var_dump($rp->getMode());
$rp = new MongoDB\Driver\ReadPreference(MongoDB\Driver\ReadPreference::RP_NEAREST);
var_dump($rp->getMode());
?>`

The above example will output:

    int(1)
    int(5)
    int(2)
    int(6)
    int(10)

### See Also

- » Read Preference reference

MongoDB\Driver\ReadPreference::__construct
MongoDB\Driver\ReadPreference::getTagSets
MongoDB\Driver\ReadPreference
PHP Manual